/*
 * Copyright 2016 Igor Maznitsa.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.igormaznitsa.mvngolang.utils;

import java.io.Serializable;
import java.util.Comparator;
import javax.annotation.Nonnull;
import javax.annotation.concurrent.ThreadSafe;

@ThreadSafe
public final class StringComparatorABC implements Comparator<String>, Serializable {

  private static final long serialVersionUID = -8700761616096593374L;

  private static final StringComparatorABC INSTANCE = new StringComparatorABC();

  private StringComparatorABC() {
  }

  @Nonnull
  public static StringComparatorABC getInstance() {
    return INSTANCE;
  }

  @Override
  public int compare(@Nonnull final String a, @Nonnull final String b) {
    return a.compareTo(b);
  }

}
